#### Beyond Linux® From Scratch (systemd Edition) - Version 10.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  totem-pl-parser-3.26.5

- Next

  yelp-xsl-3.38.3

- Up
- Home

# VTE-0.62.3

## Introduction to VTE

The VTE package contains a termcap file implementation for terminal emulators.

This package is known to build and work properly using an LFS-10.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/vte/0.62/vte-0.62.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/vte/0.62/vte-0.62.3.tar.xz

- Download MD5 sum: 234c80d99b7200ac39734f77366da822

- Download size: 440 KB

- Estimated disk space required: 12 MB (with tests, 9.7MB without tests)

- Estimated build time: 0.5 SBU (using parallelism=4; with tests)

### VTE Dependencies

#### Required

GTK+-3.24.25, libxml2-2.9.10, and pcre2-10.36

#### Recommended

ICU-68.2, GnuTLS-3.7.0, gobject-introspection-1.66.1, and Vala-0.50.3

#### Optional

FriBidi-1.0.9, GTK-Doc-1.33.2, and GTK+-4

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/vte

## Installation of VTE

Install VTE by running the following commands:

    mkdir build &&
    cd    build &&

    meson  --prefix=/usr -Dfribidi=false .. &&
    ninja

To test the results, issue ninja test.

Now, as the `root` user:

    ninja install &&
    rm -v /etc/profile.d/vte.*

## Command Explanations

rm -v /etc/profile.d/vte.*: This command removes two files installed in /etc/profile.d that have no use on a LFS system.

`-Dfribidi=false`: Omit this switch if want to enable bidirectional capabilities.

`-Dgnutls=false`: Add this switch if you do not want to enable GnuTLS support.

`-Dvapi=false`: Add this switch if you do not want to enable vala bindings.

`-Ddocs=true`: Add this switch if wish to build the documentation.

## Contents

Installed Program: vte-2.91
Installed Library: libvte-2.91.so
Installed Directories: /usr/include/vte-2.91 and /usr/share/gtk-doc/html/vte-2.91

### Short Descriptions

vte-2.91 | is a test application for the VTE libraries
`libvte-2.91.so` | is a library which implements a terminal emulator widget for GTK+ 3

Last updated on 2021-02-23 04:28:57 -0800

- Prev

  totem-pl-parser-3.26.5

- Next

  yelp-xsl-3.38.3

- Up
- Home